/**
 * Ristinolla / Ihmispelaaja
 *
 * Simppeli Pelaaja-toteutus, joka kyselee siirtonsa Ruudukon annaSiirto-pyynnll.
 *
 * @author Samuli Kaipiainen
 * @version 1.0
 */

public class Ihminen implements Pelaaja
{
	// meidn oma ruudukkomme
	private Ruudukko ruudukko;

	// kynniss olevan ruudukon koko
	private int leveys, korkeus;

	// edellinen saatu siirto
	private int xedellinen, yedellinen;

	/**
	 * Kertoo ihmispelaajallemme kytetyn ruudukon
	 *
	 * @param ruudukko liitytty ruudukko
	 * @param leveys ruudukon leveys ruutuina
	 * @param korkeus ruudukon korkeus ruutuina
	 */
	public void asetaRuudukko(Ruudukko ruudukko, int leveys, int korkeus)
	{
		// ruudukko ja ruudukon koko talteen, vaikkei kokotiedolla mitn tehdkn
		this.ruudukko = ruudukko;
		this.leveys = leveys;
		this.korkeus = korkeus;
	}

	/**
	 * Aloittaa uuden pelin
	 */
	public void uusiPeli()
	{
		// nollataan edellinen siirto
		this.xedellinen = this.yedellinen = -2;
	}

	/**
	 * Antaa Ruudukolle uuden siirron; pyyt sen Ruudukon annaSiirto-pyynnll
	 *
	 * @param x edellisen siirron x-ruutu
	 * @param y edellisen siirron y-ruutu
	 * @return uusi (Ruudukolta pyydetty) siirto int[2] {x, y} -taulukkona
	 */
	public int[] siirto(int x, int y)
	{
		// if (x == xedellinen && y == yedellinen) // viimeksi yritetty siirto virheellinen

		// siirto talteen, jotta tiedetn jos yritettiin virheellist siirtoa
		// (vaikkei sill ihmispelaajalle olekaan merkityst, koska siirto kysytn ruudukolta)
		xedellinen = x; yedellinen = y;

		return ruudukko.annaSiirto();
	}
}
