/**
 * Ristinolla / Satunnaisplottaaja
 *
 * Nopea pelaaja-toteutus, joka arpoo satunnaisia siirtoja; peli hidastuu kun lauta alkaa tytty,
 * koska satunnaisplottaaja ei yritkn etsi vapaita ruutuja, laukoo vain.
 *
 * @author Samuli Kaipiainen
 * @version 1.0
 */

public class Satu implements Pelaaja
{
	// meidn oma ruudukkomme, jota emme tarvitse
	protected Ruudukko ruudukko;

	// kynniss olevan ruudukon koko
	protected int leveys, korkeus;

	// edellinen saatu siirto (plh-plh)
	protected int xedellinen, yedellinen;

	/**
	 * Kertoo Sadulle sadun (ja ruudukon tiedot)
	 *
	 * @param ruudukko liitytty ruudukko
	 * @param leveys ruudukon leveys ruutuina
	 * @param korkeus ruudukon korkeus ruutuina
	 */
	public void asetaRuudukko(Ruudukko ruudukko, int leveys, int korkeus)
	{
		// ruudukko sek ruudukon koko talteen
		this.ruudukko = ruudukko;
		this.leveys = leveys;
		this.korkeus = korkeus;
	}

	/**
	 * Aloittaa uuden pelin
	 */
	public void uusiPeli()
	{
		// nollataan edellinen siirto
		this.xedellinen = this.yedellinen = -2;
	}

	/**
	 * Antaa Ruudukolle uuden siirron; arpoo sen holtittomasti
	 *
	 * @param x edellisen siirron x-ruutu
	 * @param y edellisen siirron y-ruutu
	 * @return uusi siirto int[2] {x, y} -taulukkona
	 */
	public int[] siirto(int x, int y)
	{
		return new int[] {(int) (leveys * Math.random()), (int) (korkeus * Math.random())};
	}
}
